aboutsummaryrefslogtreecommitdiffstats
path: root/main/ruby-activerecord/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-15 11:52:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-15 14:22:19 +0000
commit705cd18add99430a54aeb4e517f66e4045c783f6 (patch)
tree5747069b8133aab9491a0dc028bbaa3b9b480afa /main/ruby-activerecord/APKBUILD
parent63ebc783cdeaaa7f956cb2921fddb87c9dd9f864 (diff)
downloadaports-705cd18add99430a54aeb4e517f66e4045c783f6.tar.gz
aports-705cd18add99430a54aeb4e517f66e4045c783f6.tar.bz2
aports-705cd18add99430a54aeb4e517f66e4045c783f6.tar.xz
main/ruby-activerecord: upgrade to 3.2.8
Diffstat (limited to 'main/ruby-activerecord/APKBUILD')
-rw-r--r--main/ruby-activerecord/APKBUILD36
1 files changed, 20 insertions, 16 deletions
diff --git a/main/ruby-activerecord/APKBUILD b/main/ruby-activerecord/APKBUILD
index c8b701bd77..866d9338ab 100644
--- a/main/ruby-activerecord/APKBUILD
+++ b/main/ruby-activerecord/APKBUILD
@@ -1,32 +1,36 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-# Maintainer:
-pkgname=ruby-activerecord
-_realname=activerecord
-pkgver=2.3.14
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+_gemname=activerecord
+pkgname=ruby-$_gemname
+pkgver=3.2.8
pkgrel=0
pkgdesc="Ruby ActiveRecord pattern (Fowler, PoEAA) for ORM"
url="https://rubyforge.org/projects/activerecord/"
arch="noarch"
license="GPL"
-depends="ruby"
+depends="ruby ruby-activemodel ruby-activesupport ruby-arel ruby-tzinfo"
depends_dev=
-makedepends="$depends_dev rubygems"
+makedepends="$depends_dev ruby-gems"
install=""
subpackages=""
-source=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
_builddir="$srcdir"/$_realname-$pkgver
-
build() {
- mkdir -p "$_builddir" || return 1
- local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
- gem install $_realname -v $pkgver -i "$_builddir"$_gemdir \
- --ignore-dependencies --verbose \
- --no-rdoc --no-ri || return 1
- rm -rf "$_builddir"$_gemdir/cache/
+ return 0
}
package() {
- mkdir -p "$pkgdir" || return 1
- cp -ra "$_builddir"/* "$pkgdir"/ || return 1
+ local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+ local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+ mkdir -p "$pkgdir" || return 1
+
+ gem install --local --install-dir "$pkgdir"/$_gemdir \
+ --ignore-dependencies --verbose --no-rdoc --no-ri \
+ "$srcdir"/$_gemname-$pkgver.gem || return 1
+ rm -rf "$pkgdir"/$_gemdir/cache \
+ "$pkgdir"/$_geminstdir/ext \
+ "$pkgdir"/$_geminstdir/.require_paths
}
+
+md5sums="2c28e8a6547f49e5964b31528bf1f48e activerecord-3.2.8.gem"